pfodParser 3.61.0 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Types | Public Member Functions | List of all members
pfodRadioDriver Class Referenceabstract

pfodRadioDriver for Arduino This class abstracts the low level radio functions from pfodParser. More...

`#include <pfodRadioDriver.h>`

## Public Types
enum | RadioMode { Initialising = 0 , Sleep , Idle , Tx , Rx , Unknown }

## Public Member Functions
virtual | ~pfodRadioDriver ()
virtual bool | init ()=0
virtual int16_t | lastRssi ()=0
virtual int | getMode ()=0
virtual uint8_t | getMaxMessageLength ()=0
virtual void | setThisAddress (uint8_t addr)=0
virtual bool | receive (uint8_t *buf, uint8_t *len)=0
virtual bool | send (const uint8_t *data, uint8_t len)=0
virtual uint8_t | headerTo ()=0
virtual uint8_t | headerFrom ()=0
virtual uint8_t | headerId ()=0
virtual uint8_t | headerFlags ()=0
virtual void | setHeaderTo (uint8_t to)=0
virtual void | setHeaderFrom (uint8_t from)=0
virtual void | setHeaderId (uint8_t id)=0
virtual void | setHeaderFlags (uint8_t flags)=0

## Detailed Description

pfodRadioDriver for Arduino This class abstracts the low level radio functions from pfodParser.

Implement a sub-class of this to interface pfodSecurity to your particular Radio library

Definition at line 16 of file pfodRadioDriver.h.

## Member Enumeration Documentation

## ◆ RadioMode

enum pfodRadioDriver::RadioMode

Enumerator
Initialising | Transport is initialising. Initial default value until init() is called..
Sleep | Transport hardware is in low power sleep mode (if supported)
Idle | Transport is idle.
Tx | Transport is in the process of transmitting a message.
Rx | Transport is in the process of receiving a message.
Unknown |

Definition at line 35 of file pfodRadioDriver.h.

## Constructor & Destructor Documentation

## ◆ ~pfodRadioDriver()

virtual pfodRadioDriver::~pfodRadioDriver | ( |  | ) |
| inline virtual

Definition at line 18 of file pfodRadioDriver.h.

## Member Function Documentation

## ◆ getMaxMessageLength()

virtual uint8_t pfodRadioDriver::getMaxMessageLength | ( |  | ) |
| pure virtual

## ◆ getMode()

virtual int pfodRadioDriver::getMode | ( |  | ) |
| pure virtual

## ◆ headerFlags()

virtual uint8_t pfodRadioDriver::headerFlags | ( |  | ) |
| pure virtual

## ◆ headerFrom()

virtual uint8_t pfodRadioDriver::headerFrom | ( |  | ) |
| pure virtual

## ◆ headerId()

virtual uint8_t pfodRadioDriver::headerId | ( |  | ) |
| pure virtual

## ◆ headerTo()

virtual uint8_t pfodRadioDriver::headerTo | ( |  | ) |
| pure virtual

## ◆ init()

virtual bool pfodRadioDriver::init | ( |  | ) |
| pure virtual

## ◆ lastRssi()

virtual int16_t pfodRadioDriver::lastRssi | ( |  | ) |
| pure virtual

## ◆ receive()

virtual bool pfodRadioDriver::receive | ( | uint8_t * | buf,
|  | uint8_t * | len
| ) |  |
| pure virtual

## ◆ send()

virtual bool pfodRadioDriver::send | ( | const uint8_t * | data,
|  | uint8_t | len
| ) |  |
| pure virtual

## ◆ setHeaderFlags()

virtual void pfodRadioDriver::setHeaderFlags | ( | uint8_t | flags | ) |
| pure virtual

## ◆ setHeaderFrom()

virtual void pfodRadioDriver::setHeaderFrom | ( | uint8_t | from | ) |
| pure virtual

## ◆ setHeaderId()

virtual void pfodRadioDriver::setHeaderId | ( | uint8_t | id | ) |
| pure virtual

## ◆ setHeaderTo()

virtual void pfodRadioDriver::setHeaderTo | ( | uint8_t | to | ) |
| pure virtual

## ◆ setThisAddress()

virtual void pfodRadioDriver::setThisAddress | ( | uint8_t | addr | ) |
| pure virtual